'From Smalltalk/X, Version:3.1.9 on 9-sep-1997 at 11:55:53 pm'                  !

Filename subclass:#PCFilename
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'OS-PC'
!

!PCFilename class methodsFor:'documentation'!

documentation
"
    Filenames in Windows-NT / Win95.
"
! !

!PCFilename class methodsFor:'queries'!

isBadCharacter:aCharacter
    "return true, if aCharacter is unallowed in a filename."

    ('<>:"/\|' includes:aCharacter) ifTrue:[^ true].
    ^ super isBadCharacter:aCharacter

    "Created: 8.9.1997 / 00:14:06 / cg"
!

isCaseSensitive
    "return true, if filenames are case sensitive."

    ^ false
!

separator
    "return the file/directory separator."

     ^ $\

     "
      Filename concreteClass separator  
     "

    "Modified: 8.9.1997 / 00:18:03 / cg"
! !

!PCFilename methodsFor:'queries'!

isVolumeAbsolute
    "return true, if the receiver represents an absolute pathname
     on some disk volume."

    ^ (nameString at:2) == $:

    "Created: 7.9.1997 / 23:54:20 / cg"
!

volume
    "return the disc volume part of the name or an empty string.
     This is only used with DOS filenames - on unix, an empty string is returned"

    (nameString at:2) == $: ifTrue:[
        ^ nameString copyTo:1
    ].
    ^ ''

    "Created: 7.9.1997 / 23:58:06 / cg"
! !

!PCFilename class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/PCFilename.st,v 1.3 1997-09-09 17:35:21 cg Exp $'
! !
